curl --request GET \
--url 'https://gateway.amana.io/user/trading-accounts/' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://gateway.amana.io/user/trading-accounts/"
headers = {"Authorization": "Bearer <token>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/user/trading-accounts/', {
method: 'GET',
headers: {"Authorization": "Bearer <token>"},
});
console.log(await response.json());
[
{
"id": "<string>",
"external_id": "<string>",
"external_user": "<string>",
"type": "<string>",
"currency": "<string>",
"group": "<string>",
"kyc_id": "<string>",
"last_active": "2026-01-01T00:00:00Z",
"isNative": true,
"typeName": "<string>"
}
]
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
Account & reporting
List trading accounts
List the user’s trading accounts.
GET
/
user
/
trading-accounts
/
curl --request GET \
--url 'https://gateway.amana.io/user/trading-accounts/' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://gateway.amana.io/user/trading-accounts/"
headers = {"Authorization": "Bearer <token>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/user/trading-accounts/', {
method: 'GET',
headers: {"Authorization": "Bearer <token>"},
});
console.log(await response.json());
[
{
"id": "<string>",
"external_id": "<string>",
"external_user": "<string>",
"type": "<string>",
"currency": "<string>",
"group": "<string>",
"kyc_id": "<string>",
"last_active": "2026-01-01T00:00:00Z",
"isNative": true,
"typeName": "<string>"
}
]
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
Response
200 Success.
object[]
Show properties
Show properties
string
string
string
string
string
string
string
string<date-time>
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$boolean
string
Possible Errors
| Error | Possible cause | What to do |
|---|---|---|
| 401 | Token missing or expired | Log in again or use the refresh token. |
| 403 | IP not whitelisted, or account restricted | Confirm your IP is whitelisted; otherwise contact Amana. |
| 404 | The requested item doesn’t exist | Check the ID or path parameter. |
| 429 / 5xx | Rate limit, or temporary issue on our side | Retry with backoff; contact support if it persists. |
curl --request GET \
--url 'https://gateway.amana.io/user/trading-accounts/' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://gateway.amana.io/user/trading-accounts/"
headers = {"Authorization": "Bearer <token>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/user/trading-accounts/', {
method: 'GET',
headers: {"Authorization": "Bearer <token>"},
});
console.log(await response.json());
[
{
"id": "<string>",
"external_id": "<string>",
"external_user": "<string>",
"type": "<string>",
"currency": "<string>",
"group": "<string>",
"kyc_id": "<string>",
"last_active": "2026-01-01T00:00:00Z",
"isNative": true,
"typeName": "<string>"
}
]
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
Last modified on October 8, 2026
